#include <string.h>

unsigned char *memcpy(unsigned char *dest, const unsigned char *src, int count)
{
	unsigned char *from=src;
	unsigned char *to=dest;
	
	while(count)
	{
		*to=*from;		

		from++;
		to++;
		count--;
	}

	return dest;
}

unsigned char *memset(unsigned char *dest, unsigned char val, int count)
{
	unsigned char *to=dest;
	
	while(count)
	{
		*to=val;		

		to++;
		count--;
	}

	return dest;
}

unsigned short *memsetw(unsigned short *dest, unsigned short val, int count)
{
	unsigned short *to=dest;
	
	while(count)
	{
		*to=val;		

		to++;
		count--;
	}

	return dest;
}

int strlen(const char *str)
{
	char *ptr=str;
	int len=0;

	while(*ptr!='\0')
	{
		len++;
	}

	return len;
}
